#795 closed defect (fixed)

RTEMS/ada is broken

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: unspecified Version: unknown
Severity: normal Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

Joel, you seem to have broken the source when moving the ada files:

# powerpc-rtems4.7-gcc -c -I../../../../../../../../rtems.orig/c/src/ada-tests/samples/hello/ -B../../../../../lib/ -B../../../../../mcp750/lib/ -specs bsp_specs -qrtems -I../../../../../lib/include/adainclude -I../../../../../mcp750/lib/include/adainclude -I../../../../../../../../rtems.orig/c/src/ada-tests/support -isystem ../../../../../mcp750/lib/include -Wall -g -O2 -I- ../../../../../mcp750/lib/include/adainclude/rtems.adb
rtems.adb:1512:14: not fully conformant with declaration at rtems.ads:1302
rtems.adb:1512:14: name "Size" does not match
rtems.adb:1534:10: "Size_Base" is undefined
rtems.adb:1536:07: assignment to "in" mode parameter not allowed
powerpc-rtems4.7-gnatmake: "../../../../../mcp750/lib/include/adainclude/rtems.adb" compilation error

Release:
cvs head

Change History (3)

comment:1 Changed on 05/23/05 at 14:00:43 by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on 05/24/05 at 03:19:15 by Ralf Corsepius

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Seems to be fixed now.

comment:3 Changed on 10/10/17 at 06:35:44 by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.